const path = require('path');

module.exports = {
    entry: './src/index.tsx',  // Updated path to src/index.tsx
    output: {
        path: path.resolve(__dirname, 'dist'),
        filename: 'index.js',
        libraryTarget: 'commonjs2',
    },
    resolve: {
        extensions: ['.js', '.jsx', '.ts', '.tsx'],
    },
    module: {
        rules: [
            {
                test: /\.(js|jsx|ts|tsx)$/,
                exclude: /node_modules/,
                use: {
                    loader: 'babel-loader',
                    options: {
                        presets: ['@babel/preset-env', '@babel/preset-react', '@babel/preset-typescript'],
                    },
                },
            },
        ],
    },
    externals: {
        react: 'react',
        'react-dom': 'react-dom',
    },
    mode: 'production', // Add mode setting to avoid the warning
};
